Bug 389510 - Arrow keys no longer have focus on screenshot pop-up
Summary: Arrow keys no longer have focus on screenshot pop-up
Status: VERIFIED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-27 13:51 UTC by Nate Graham
Modified: 2019-05-16 23:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-01-27 13:51:53 UTC
As of the Plasma/5.12 branch (also reproduces on master), the screenshot pop-up no longer gets keyboard focus, so you can't use the arrow keys to navigate through the screenshots. Instead the content view below gets the focus and moves behind the pop-up.
Comment 1 Aleix Pol 2018-01-29 17:03:00 UTC
Git commit d3eddd3d74af0487bf8744bd9512d57157718ae8 by Aleix Pol.
Committed on 29/01/2018 at 17:02.
Pushed by apol into branch 'Plasma/5.12'.

Fix screenshots keyboard navigation

M  +2    -0    discover/qml/ApplicationPage.qml

https://commits.kde.org/discover/d3eddd3d74af0487bf8744bd9512d57157718ae8
Comment 2 Nate Graham 2018-01-30 03:01:58 UTC
Confirmed, thanks!
Comment 3 Aleix Pol 2019-05-16 23:24:48 UTC
Git commit 192974406858958b0b248b82ba1ff0d073fcf5d9 by Aleix Pol.
Committed on 16/05/2019 at 23:23.
Pushed by apol into branch 'master'.

ScrollablePage: Make sure the scrolled view gets the focus when it's set

Reviewed by Marco

M  +1    -0    src/controls/ScrollablePage.qml

https://commits.kde.org/kirigami/192974406858958b0b248b82ba1ff0d073fcf5d9